summaryrefslogtreecommitdiffstats
path: root/initrd/initrd-stuff/bin/servconfig
diff options
context:
space:
mode:
authorDirk von Suchodoletz2006-06-27 23:37:58 +0200
committerDirk von Suchodoletz2006-06-27 23:37:58 +0200
commit1f6d3f9baee4cb6ef61156ac274d042672a479c5 (patch)
treed2d4a1b213ed116476a224b841518f4260482f11 /initrd/initrd-stuff/bin/servconfig
parentJust a minor correction ... (diff)
downloadcore-1f6d3f9baee4cb6ef61156ac274d042672a479c5.tar.gz
core-1f6d3f9baee4cb6ef61156ac274d042672a479c5.tar.xz
core-1f6d3f9baee4cb6ef61156ac274d042672a479c5.zip
Added simple bootsplash support (SuSE only, see BootSplash wiki) ...
git-svn-id: http://svn.openslx.org/svn/openslx/ld4@256 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'initrd/initrd-stuff/bin/servconfig')
-rwxr-xr-xinitrd/initrd-stuff/bin/servconfig37
1 files changed, 18 insertions, 19 deletions
diff --git a/initrd/initrd-stuff/bin/servconfig b/initrd/initrd-stuff/bin/servconfig
index 70accfb1..11f61aa2 100755
--- a/initrd/initrd-stuff/bin/servconfig
+++ b/initrd/initrd-stuff/bin/servconfig
@@ -4,7 +4,7 @@
# for linux diskless clients (executed within initial
# ramdisk)
#
-# Author(s): Dirk von Suchodoletz <dirk@goe.net>, 26-06-2006
+# Author(s): Dirk von Suchodoletz <dirk@goe.net>, 27-06-2006
# Michael Janczyk, 31-05-2006
# Lars Mueller, 23-06-2006
# Oliver Tappe, 23-06-2006
@@ -48,11 +48,11 @@ while [ $len -le 11 ] ; do
done
echo "
WELCOME TO \n (\l)
- _____ ______ __ __ __
- / _ | _ | | | |_| |
- | | | | | | | | | | /
- | |_| | | |_| | | |___ / _
- _____/ |_______/ |______| |__| |__|
+ _____ ______ __ __ __
+ / _ | _ | | | |_| |
+ | | | | | | | | | | /
+ | |_| | | |_| | | |___ / _
+ _____/ |_______/ |______| |__| |__|
Diskless Workstation (v4.0/$dstr (c) <odlx project>
">/mnt/etc/issue
@@ -83,7 +83,8 @@ if [ "x$vmware" != "x" ] && [ "x$vmware" != "xno" ] ; then
ln -sf /usr/share/vmware /mnt/var/lib/vmware
elif [ -n "${imgsrv}" ] ; then
# # more general mount script should be used here!?
- ( nfsmnt ${imgsrv} /mnt/var/lib/vmware || error "$scfg_nfs" nonfatal ) &
+ nfsmnt ${imgsrv} /mnt/var/lib/vmware || {
+ error "$scfg_nfs" nonfatal; noimg=yes; }
fi
fi
@@ -271,10 +272,17 @@ if [ "x$vmware" != "x" ] && [ "x$vmware" != "xno" ] ; then
d_mkrlscript close vmware-prep ""
chmod u+x /mnt/etc/${D_INITDIR}/vmware-prep
# check here that mount finished and the important files are available
- waitfor /mnt/var/lib/vmware/templ 10000 || \
+ if [ "$noimg" = "yes" ] ; then
error "$scfg_vmdir" nonfatal
- cp /mnt/var/lib/vmware/templ/runvmware /mnt/var/X11R6/bin
- chmod 755 /mnt/var/X11R6/bin/runvmware >/dev/null 2>&1
+ else
+ # add special sessions to the display managers session menu
+ # check here that mount finished and the important files are available
+ # default kdm session. Xdialog with WM and VMware images
+ cp /mnt/var/lib/vmware/templ/runvmware /mnt/var/X11R6/bin
+ chmod 755 /mnt/var/X11R6/bin/runvmware >/dev/null 2>&1
+ cp /mnt/var/lib/vmware/templ/defaultwm /mnt/var/X11R6/bin
+ chmod 755 /mnt/var/X11R6/bin/defaultwm >/dev/null 2>&1
+ fi
config_vmware
chmod 1777 /mnt/var/run/vmware
# define a variable where gdm/kdm should look for additional sessions
@@ -284,15 +292,6 @@ if [ "x$vmware" != "x" ] && [ "x$vmware" != "xno" ] ; then
Name[de]=Standard\nExec=defaultwm\nTryExec=/var/X11R6/bin/defaultwm\n\
Type=Application" >/mnt/etc/X11/sessions/default.desktop
rm /mnt/etc/vmware/not_configured 2>/dev/null
- # add special sessions to the display managers session menu
- # check here that mount finished and the important files are available
- #waitfor /mnt/var/lib/vmware/templ/runvmware 10000 || \
- # error "$scfg_vmdir" nonfatal
- # default kdm session. Xdialog with WM and VMware images
- cp /mnt/var/lib/vmware/templ/runvmware /mnt/var/X11R6/bin
- chmod 755 /mnt/var/X11R6/bin/runvmware >/dev/null 2>&1
- cp /mnt/var/lib/vmware/templ/defaultwm /mnt/var/X11R6/bin
- chmod 755 /mnt/var/X11R6/bin/defaultwm >/dev/null 2>&1
echo -e "#!/bin/sh\n#\n# file generated by ${0} at ${date}\
\n# set to black background\nxsetroot -solid \"black\"\
\nstartvm=\$(echo \$0 | sed -e \"s,.*/,,\")\